import QtQuick 1.1

Item
{
	id: widget
	property variant target
	property string property
	property variant value

	property variant currentValue: target && property ? target[property] : undefined
	property bool equal: currentValue == value
	property bool checked: equal

	onEqualChanged: checked = equal
	onCheckedChanged:
	{
		if (!target || !property)
			return
        if (checked && target[property] != value)
			target[property] = value
		if (!checked && equal)
			checked = true
	}

	Binding
	{
		target: widget.parent
		property: "target"
		value: widget
	}
	Binding
	{
		target: widget.parent
		property: "property"
		value: { return "checked"; }
	}
}
