import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../main_window" as MainFrame
import "../common/HelpMapper.js" as HelpMapper

MainFrame.InnerContent
{
	Localizer { id:tr; scope:"LicenseManager" }
	property variant context: MainWindow.licenseManager;
    caption: !context.licenseProperties.isActivated || !context.isSubscriptionLicense ? tr.Localize("LicenseManagerTitle") : tr.Localize("SubscriptionManager");
    property int helpId: HelpMapper.LicenseManagerHelpId
	objectName: "licenseManager"

	captionArea: Component
	{
		Item 
		{
			clip:           false
			objectName: "captionArea"

			Widgets.CaptionButton
			{
				property variant model : MainWindow.licenseManager
				objectName:	"LicenseEulaButton"
				text:		tr.Localize("LicenseEulaLinkName")
				onClicked:	model.ShowEula()
			}
		}
	}
    viewArea: Component
    {
        Item
        {
            anchors.fill: parent
            objectName: "LicensePanel"

            LicensePage
            {
                anchors.fill:parent
                visible: MainWindow.licenseManager.licenseProperties.isActivated
            }

            ProductNotActivatedPage
            {
                anchors.fill:parent
                visible: !MainWindow.licenseManager.licenseProperties.isActivated
            }
        }
    }
}
