import QtQuick 1.1
import QtWebKit 1.0
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper
import "../common/border" as Border
import "../common/fonts" as Fonts
import "../common/Colors.js" as Colors
import "../common/ProductTypeHelper.js" as ProductTypeHelper

Border.BorderedContent
{
	Localizer { id:tr; scope:"Common" }
    content: endOfLicense
    property variant context: IPMEndOfLicense

	function showPage(page) {}

    Widgets.SecondaryWindow
    {
        id: endOfLicense
        property variant commonFontStyles: Fonts.Common{}
        width: 727
        height: 545
		dpiScaleWidth: false
        objectName: "EndOfLicense"
        caption: tr.Localize("EndOfLicense_Header")

        property color fillingColor: Colors.grayArea
        property color horizontalSeparatorColor: Colors.grayBorder
        property color horizontalLineColor: Colors.grayBorder

        workArea: Item
		{
			id: container
			anchors.fill: parent

			Flickable
			{
    			id: flickable
				contentWidth: Math.max(width,content.width)
				contentHeight: Math.max(height,content.height)    
                anchors.fill: parent;
                anchors.right: scrollbar.left
				pressDelay: 200
                interactive: false

				Widgets.IpmWebView
				{
					id: content
					preferredWidth: flickable.width
					preferredHeight: flickable.height
					url: context.content
					interop: context
                    settings.pluginsEnabled: true
					Connections 
					{
						target: context.IPM;
						onParametersChanged: content.reload.trigger();
					}
				}
			}

            Widgets.ScrollBar
			{
				id:scrollbar
				target:flickable
				anchors.top:flickable.top;
				anchors.right:parent.right;
				anchors.bottom: flickable.bottom;
			}
		}

        buttonsArea: Item
        {
			objectName: "Bottom"
            id: bottom

            Widgets.GrayButton
            {
                objectName: "BottomCloseButton"
                anchors.right: parent.right
                anchors.verticalCenter: parent.verticalCenter
                text: tr.Localize('CloseButton')
                onClicked: Window.Close()
            }
        }
    }
}
