import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

FocusScope
{
	id:	itemBounds
	objectName: "taskType_" + EnumHelper.getKey(model.modelData, "Type")
	property QtObject taskModel: model.modelData

	height:	scanFlip.height;
	width:	parent.width

	function setFrontPosition()	{scanFlip.state = "";}
    function setBackPosition(){backView.when = true; scanFlip.state = "back";}

	property bool isRunning: taskModel.IsRunning && !taskModel.IsStopping
	onIsRunningChanged: setFrontPosition()

	Widgets.FlipableY
	{
		id: 	scanFlip
		objectName: "scanFlip"
		width: 	parent.width
		height:	frontView.height

		onAnimationFinished:
		{
			var item = scanFlip.isFlipped() ? back : front;
			item.setActiveFocus();
		}
		front: TaskItemFrontView
		{
			id: frontView
			objectName: "frontView"
			enabled: !scanFlip.isFlipped()
			onFlip: setBackPosition()
        }

        back: Widgets.ConditionalLoader
        {
            id: backView
            anchors.fill: parent
			objectName: "backPanelLoader"
            enabled: scanFlip.isFlipped()
            conditionSource: Qt.resolvedUrl("TaskItemBackView.qml")
            Connections
            {
                target: backView.item
                onFlip: setFrontPosition()
            }
            function setActiveFocus()
            {
                if (item)
                    item.setActiveFocus();
            }
        }
	}
}
