import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Item
{
    id: taskList
	objectName: "taskList"
	property bool hasTasks: TaskList.TaskList.length > 0
	property variant listView: taskList.hasTasks ? taskListViewLoader.item : null
    property variant commonFontStyles: Fonts.Common{}
    property real contentHeight: Math.max(Math.min(hasTasks && listView ? listView.contentHeight : 100, 450), 100)

	Behavior on contentHeight
	{
		id: behavior
		enabled: false
		PropertyAnimation { id: animation; duration: 500; easing.type: Easing.InOutQuad; }
	}

	Timer
	{
		// disable animation for loading items in taskListView at start (component.onCompleted does not work here)
		interval: 500
		running: true
		onTriggered: behavior.enabled = true
	}

	anchors.fill: parent

	Loader
    {
        id: taskListViewLoader
        objectName: "taskListViewLoader"
		source: Qt.resolvedUrl(taskList.hasTasks ? "TaskListView.qml" : "TaskListEmpty.qml")
        anchors.fill: parent
    }
}
