import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/fonts" as Fonts
import "../../../common/EnumHelper.js" as EnumHelper
import "../../../common/ProductTypeHelper.js" as ProductTypeHelper
import "../../../common/widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: rescuediskRequestCancelOperation

    Localizer { id: tr; scope: "RescueDiskWizard" }
    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: ProductTypeHelper.getProductNameFull(tr, context)
    description: tr.Localize("CancelOperation_" + context.RequestedOperation);
    cancelButtonText: tr.Localize("No")
    okButtonText: tr.Localize("Yes")
    width:250

    onCancelClicked:
    {
        context.Decision = 1
        Window.Close()
    }

    onOkClicked:
    {
        context.Decision = 0
        Window.Close()
    }
}
