import QtQuick 1.1
import "../fonts" as Fonts

Item
{
    id: tabWidget

    property int current: 0
    property int previous: -1
    property int count: stack.children.length

    property bool frame: true
    property bool tabsVisible: true

    default property alias tabs : stack.children
    property Item tabBar: tabbarItem

    //Style properties
    property int tabLeftMargin: 15
    property int tabRightMargin: 15

    property int tabTextPointSize: 13
    property string tabTextFamily: "Tahoma"
    property bool tabTextBold: false

    TabBar
    {
        id: tabbarItem
        tabFrame: tabWidget
        anchors.top: tabWidget.top
        anchors.left: tabWidget.left
        width: tabWidget.width

        anchors.bottomMargin: 1

        tabLeftMargin: tabWidget.tabLeftMargin
        tabRightMargin: tabWidget.tabRightMargin

        tabTextBold: tabWidget.tabTextBold
        tabTextFamily: tabWidget.tabTextFamily
        tabTextPointSize: tabWidget.tabTextPointSize
    }

    Rectangle
    {
        id: stack

        anchors.top: tabbarItem.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
    }

    onCurrentChanged:
    {
        setOpacities()
    }

    Component.onCompleted:
    {
        setOpacities()
    }


    function setOpacities() {
        for (var i = 0; i < tabs.length; ++i)
        {
            tabs[i].visible = (i == current ? true : false)
        }
    }
}
