import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/widgets" as Widgets
import "../../common/fonts" as Fonts
import ".." as SettingsCommon
import "../../common/ProductTypeHelper.js" as ProductTypeHelper
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Item
{
    id: settingsPage
    objectName: "FeedbackPage"

    property int helpId: HelpMapper.FeedbackSettingsHelpId

    property variant context: SettingsHelper.GetPageContext(Settings, "Feedback")
    property variant fontStyles: Fonts.Common{}
    Localizer { id: tr; scope: "FeedbackSettings" }

    Column
    {
        objectName: "MainWrapper"
        width: parent.width
        height: parent.height
        spacing: Margins.settingsPageSpacing

        SettingsCommon.SettingsSection
        {
            objectName: "FeedbackSection"
            body: Column
            {
                objectName: "FeedbackGeneral"
                spacing: Margins.settingsMainSectionSpacing

                SettingsCommon.SettingsStandardText
                {
                    width: parent.width
                    anchors.left: parent.left
                    text: tr.Localize("Description")
                    wrapMode: Text.Wrap
                    textFormat: Text.RichText

                    Widgets.ClickableForLinksInText
                    {
                        onLinkActivated: context.ShowKsnStatement()
                    }
                }

                SettingsCommon.SettingsStandardText
                {
                    width: parent.width
                    anchors.left: parent.left
                    text: tr.Localize("KSNNoPersonal")
                    isBold: true
                    wrapMode: Text.Wrap
                }

                SettingsCommon.CheckBox
                {
                    objectName: "UseKSN"
                    anchors.left: parent.left
                    text: tr.Localize("UseKSN")
                    isBold: true
                    target: context
                    property: "useKsn"
                }
            }
        }
    }
}
