import QtQuick 1.1
import "../common/fonts" as Fonts

Item
{
    id: settingsLine

    property string text: ""
    property color color: "#C8C8C8"
    property color textColor: "#6E6E6E"

    property int textMargin: text ? 2 : 0
	property variant commonFontStyles: Fonts.Common{}
    property bool smallTopMargin: false
    property int topMargin: smallTopMargin ? 6 : 13
    property bool smallBottomMargin: false
    property int bottomMargin: smallBottomMargin ? 6 : 13

    height: text === "" ? (lineText.height + 3) : (lineText.height + topMargin + bottomMargin)
    width: parent.width
    anchors.left: parent.left
    anchors.leftMargin: -2

    Rectangle
    {
        id: leftLine
        height: 1
        width: 8
        border.width: 1
        anchors.left: parent.left
        anchors.verticalCenter: lineText.verticalCenter
        border.color: parent.color
        visible: settingsLine.text
    }

    Text
    {
        id: lineText
        text: settingsLine.text
        anchors.top: parent.top
        anchors.topMargin: text === "" ? 0 : topMargin
        anchors.left: leftLine.right
        anchors.leftMargin: textMargin
        color: parent.textColor
        font: commonFontStyles.standardSettingsSectionCaptionFont
    }

    Rectangle
    {
        height: 1
        border.width: 1
        anchors.left: settingsLine.text ? lineText.right : parent.left
        anchors.leftMargin: textMargin
        anchors.right: parent.right
        anchors.verticalCenter: lineText.verticalCenter
        border.color: parent.color
    }
}
