import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/fonts" as Fonts
import "../../common/EnumHelper.js" as EnumHelper
import "../../common/ProductTypeHelper.js" as ProductTypeHelper
import "../../common/widgets" as Widgets

Widgets.SimpleMessageBox
{
    Localizer { id: tr; scope: "RescueDiskWizard" }
    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: ProductTypeHelper.getProductNameFull(tr, context)
    description: tr.Localize("NotEnoughSpaceQuestion_" + context.Question,{"NeededSpace" : context.NeededSpace},{"ActualSpace" : context.ActualSpace});
    cancelButtonText: tr.Localize("No")
    okButtonText: tr.Localize("Yes")
    width:250

    onCancelClicked:
    {
        context.Decision = 8
        Window.Close()
    }

    onOkClicked:
    {
        context.Decision = 4
        Window.Close()
    }
}
