import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper

Item
{
    id: greetings
    objectName: "progressPage"

    anchors.fill: parent

    signal gnextPressed

    property variant pageContext: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}
    property string textMarker: rescueDiskMain.getMarker()

    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }

    Column{

        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 40
        anchors.rightMargin: 40
        anchors.topMargin: 40
        spacing: 20


        Text
        {
            font: commonFontStyles.standardSmallCaptionFont
            text: tr.Localize("ProgressTitle_" + textMarker)
        }

        Rectangle { color: "lightgray"; width: parent.width; height: 1 }

        Text
        {
            text: tr.Localize("ProgressDescription_" + textMarker)
        }

        Text
        {
            id: progressText

            property string progressText1: tr.Localize("ProgressTextBefore"+ textMarker)
            property string progressText2: pageContext.currentBytesText + tr.Localize("ProgressTextMiddle")
            property string progressText3: pageContext.totalBytesText + tr.Localize("ProgressTextEnd")

            text: progressText1 + progressText2 + progressText3
            visible : pageContext.progressTextExists
        }

        Row
        {
            objectName: "Row"
            anchors.verticalCenterOffset: 20

            Widgets.TaskProgressBar
            {
                width: 488
                height: 16

                id: progress
                percent: pageContext.progressPercent
            }
         }
    }
}



