import QtQuick 1.1
import QtWidgetProxies 1.0
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Column
{
	id: settingsPage
	objectName: "ScanVulnerabilities"

    property int helpId: HelpMapper.ScanVulnerabilitiesSettingsHelpId

	property variant context: SettingsHelper.GetPageContext(Settings, "ScanVulnerabilities")

	Localizer { id: tr; scope: "ScanVulnerabilitiesSettings" }

    SettingsCommon.SettingsSection
    {
        objectName: "ScanVulnerabilitiesSection"

        body: Column
        {
            objectName: "ScanVulnerabilitiesWrapper"
            spacing: Margins.settingsSectionInnerSpacing

            SettingsCommon.SettingsStandardText
            {
                width: parent.width
                text: tr.Localize("Description")
                wrapMode: Text.Wrap
                horizontalAlignment: Text.AlignLeft
            }

            SettingsCommon.ScanRunModeAndScope
            {
                objectName: "ScanVulnerabilitiesScanRunMode"
                context: settingsPage.context.runModeAndScopeViewModel
            }
        }
    }
}

